org.eclipse.microprofile.rest.client.tck.cditests

## Class CDIQueryParamStyleTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.cditests.CDIQueryParamStyleTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIQueryParamStyleTest
    extends org.jboss.arquillian.testng.Arquillian

Verifies the style used when sending multiple query param values configured via MP Confg and CDI.

### Nested Class Summary

Nested Classes
`static interface` `CDIQueryParamStyleTest.ArrayPairsStringClient`
`static interface` `CDIQueryParamStyleTest.CommaSeparatedStringClient`
`static interface` `CDIQueryParamStyleTest.DefaultStringClient`
`static interface` `CDIQueryParamStyleTest.MultiPairsStringClient`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIQueryParamStyleTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `arrayPairs()`
`void` `commaSeparated()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `defaultStyleIsMultiPair()`
`void` `explicitMultiPair()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIQueryParamStyleTest

    public CDIQueryParamStyleTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### defaultStyleIsMultiPair

    public void defaultStyleIsMultiPair()
                                 throws Exception

Throws:
  `Exception`

#### explicitMultiPair

    public void explicitMultiPair()
                           throws Exception

Throws:
  `Exception`

#### commaSeparated

    public void commaSeparated()
                        throws Exception

Throws:
  `Exception`

#### arrayPairs

    public void arrayPairs()
                    throws Exception

Throws:
  `Exception`